# $EPIC: connect,v 1.3 2003/09/23 21:50:21 nsx Exp $
Synopsis:
   on [<modes>]connect [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever the client has successfully registered with
   an irc server.  This hook differs from "server_established" in that the
   "server_established" hook is triggered as soon as the client establishes a
   TCP connection with a server.

Parameters:
   $0    the server connected to
   $1    the port number of the server connected to
   $2    server name as reported by the server

Examples:
   To display where the client has connected:
      on ^connect "*" {
         echo *** Connected to $0 ($2) on port $1
      }

See Also:
   on(5) server_established; server(1)

